Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Assembly_Builder_Visitor Class Reference

A visitor implementation that "build" up the application ACE_Hash_Map_Manager_Exby visiting nodes in an Assembly_Spec. More...

`#include <Assembly_Visitors.h>`

Collaboration diagram for CIAO::Assembly_Builder_Visitor:

[legend]
List of all members.

## Public Member Functions
| Assembly_Builder_Visitor (CORBA::ORB_ptr o, Assembly_Context &context, CIAO::ID_IMPL_MAP &idmap, Deployment_Configuration &config)
| Constructor.
virtual | ~Assembly_Builder_Visitor (void)
| Destructor.
virtual int | visit_Container (Assembly_Placement::Container *c ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual int | visit_hostcollocation (Assembly_Placement::hostcollocation *hc ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual int | visit_processcollocation (Assembly_Placement::processcollocation *pc ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual int | visit_homeplacement (Assembly_Placement::homeplacement *hp ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual int | visit_componentinstantiation (Assembly_Placement::componentinstantiation *ci ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Components::Deployment::ComponentServer_ptr | get_current_componentserver (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
Components::Deployment::Container_ptr | get_container (const char *rtpolicy ACE_ENV_ARG_DECL_WITH_DEFAULTS)
## Protected Member Functions
void | register_component (Assembly_Placement::componentinstantiation::Register_Info *i, Components::CCMObject_ptr c ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Registering a component using the info specified in `i` .
## Protected Attributes
Components::Deployment::ComponentServer_var | compserv_
| Current Component Server.
Components::Deployment::Container_var | container_
ACE_CString | rtpolicy_name_
Components::KeylessCCMHome_var | home_
CORBA::ORB_var | orb_
| Keep a pointer to the managing ORB serving this servant.
Assembly_Context & | context_
| Context to build on.
CIAO::ID_IMPL_MAP & | impl_idref_map_
| Context to build on.
Deployment_Configuration & | deployment_config_
| Deployment Configuration Info.

## Detailed Description

A visitor implementation that "build" up the application ACE_Hash_Map_Manager_Exby visiting nodes in an Assembly_Spec.

## Constructor & Destructor Documentation

ACE_INLINE CIAO::Assembly_Builder_Visitor::Assembly_Builder_Visitor | ( | CORBA::ORB_ptr | o,
|  | Assembly_Context & | context,
|  | CIAO::ID_IMPL_MAP & | idmap,
|  | Deployment_Configuration & | config
| ) |

| Constructor.

CIAO::Assembly_Builder_Visitor::~Assembly_Builder_Visitor | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

Components::Deployment::Container_ptr CIAO::Assembly_Builder_Visitor::get_container | ( | const char *rtpolicy | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) |

| Return a container with the specified `rtpolicy` set name. This method doesn't necessary create a new container. It always compare the rtpolicy name of the cached "current container" and see if the cached container fits our needs. If it does, then no new container is created. I.e., if there are consecutive homeplacement elements with the same rtpolicy set name, they will be installed into a single container.

Components::Deployment::ComponentServer_ptr CIAO::Assembly_Builder_Visitor::get_current_componentserver | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) |

void CIAO::Assembly_Builder_Visitor::register_component | ( | Assembly_Placement::componentinstantiation::Register_Info * | i,
|  | Components::CCMObject_ptr c | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | `[protected]`

| Registering a component using the info specified in `i` .

int CIAO::Assembly_Builder_Visitor::visit_componentinstantiation | ( | Assembly_Placement::componentinstantiation *ci | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

int CIAO::Assembly_Builder_Visitor::visit_Container | ( | Assembly_Placement::Container *c | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

int CIAO::Assembly_Builder_Visitor::visit_homeplacement | ( | Assembly_Placement::homeplacement *hp | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

int CIAO::Assembly_Builder_Visitor::visit_hostcollocation | ( | Assembly_Placement::hostcollocation *hc | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

int CIAO::Assembly_Builder_Visitor::visit_processcollocation | ( | Assembly_Placement::processcollocation *pc | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

## Member Data Documentation

Components::Deployment::ComponentServer_var CIAO::Assembly_Builder_Visitor::compserv_`[protected]`

| Current Component Server.

Components::Deployment::Container_var CIAO::Assembly_Builder_Visitor::container_`[protected]`

| Current Container. (This shouldn't be necessary because the component server supposedly should be able to figure out if a component home can be installed in the same container based on its configvalue. However, our component server don't do that yet, so we just install all home in a process into one single container.)

Assembly_Context& CIAO::Assembly_Builder_Visitor::context_`[protected]`

| Context to build on.

Deployment_Configuration& CIAO::Assembly_Builder_Visitor::deployment_config_`[protected]`

| Deployment Configuration Info.

Components::KeylessCCMHome_var CIAO::Assembly_Builder_Visitor::home_`[protected]`

| Current Component Home. We only support keyless home operations for now.

CIAO::ID_IMPL_MAP& CIAO::Assembly_Builder_Visitor::impl_idref_map_`[protected]`

| Context to build on.

CORBA::ORB_var CIAO::Assembly_Builder_Visitor::orb_`[protected]`

| Keep a pointer to the managing ORB serving this servant.

ACE_CString CIAO::Assembly_Builder_Visitor::rtpolicy_name_`[protected]`

| The name of the RTPolicy_Set of the active (referenced by `container_`) container.

The documentation for this class was generated from the following files:

- Assembly_Visitors.h
- Assembly_Visitors.cpp
- Assembly_Visitors.inl